import { buildProps, definePropType } from '@kankan-components/utils'
import type { ExtractPropTypes } from 'vue'
import type Gate from './gate.vue'

export const gateProps = buildProps({
    index: {
        type: definePropType<number | string>([Number, String]),
        default: 0,
    },
    height: {
        type: definePropType<number | string>([Number, String]),
    },
})

export type GateProps = ExtractPropTypes<typeof gateProps>

export type GateInstance = InstanceType<typeof Gate>
